Documentation · API reference
POST
/api/v1/me/second-stepTurn the second step on
This page as Markdown, or in an AI chatMore ways to read this page
Turn the second step on, with six digits from the app that was just set up.
# Turn the second step on
> tidekeeper's API reference: https://tidekeeper.eu/docs/api/post-me-second-step
`POST /api/v1/me/second-step`
Turn the second step on, with six digits from the app that was just set up.
## What to send
`SixDigits`
- `code` (string, needed)
## The answer
204
## Asking
```sh
curl -X POST https://tidekeeper.eu/api/v1/me/second-step \
-H "Authorization: Bearer $TIDEKEEPER_TOKEN" \
-H "Content-Type: application/json" \
-d '{"code": "…"}'
```
What to send
SixDigits
- code
- stringneeded
The answer
Status 204
Asking
curl -X POST https://tidekeeper.eu/api/v1/me/second-step \ -H "Authorization: Bearer $TIDEKEEPER_TOKEN" \ -H "Content-Type: application/json" \ -d '{"code": "…"}'
const answer = await fetch("https://tidekeeper.eu/api/v1/me/second-step", { method: "POST", headers: { Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`, "Content-Type": "application/json", }, body: JSON.stringify({"code": "…"}), }).then((r) => r.json());